import axios from '../../utils/axios';
import { stringToUrl } from '@/common/js/utils';

// 获取商户列表
export function getAdminList(params) {
  return axios.get(`/SZWL-SERVER/tAdmin/pageAdmin?${stringToUrl(params)}`);
}
// 获取账户基本详情
// export function getAdmin(params) {
//   return axios.get(`/SZWL-SERVER/tAdmin/getAdmin?${stringToUrl(params)}`);
// }
// 获取账户个人信息详情 getLoginInfo
export function getLoginInfo() {
  return axios.get(`/myCenter/getLoginInfo`);
}

// 通过 adminId 获取上级账号信息
export function getRelation(params) {
  return axios.get(`/SZWL-SERVER/tAdmin/getRelation?${stringToUrl(params)}`);
}
// 通过 username 获取账号id
export function getRelationAdminId(params) {
  return axios.get(`/SZWL-SERVER/tAdmin/getRelationAdminId?${stringToUrl(params)}`);
}
// 获取账户基本详情-提现信息
export function getAdminMch(params) {
  return axios.get(`/SZWL-SERVER/tJoinpayMch/getMch?${stringToUrl(params)}`);
}
// 修改账户信息
// export function updateAdmin(params) {
//   // tAdmin/update
//   return axios.post(`/SZWL-SERVER/tAdmin/update`, params);
// }

// 更改 用户关键信息和状态
export function updateAdmin(params) {
  return axios.put(`/userInfo/updateUserInfo`, params);
}

// 获取汇付信息
export function getHuifuMch(params) {
  return axios.get(`/SZWL-SERVER/tHuifuMch/getHuifuMchCheck?${stringToUrl(params)}`);
}
// 切换登陆
export function autoLoginMerchant(params) {
  return axios.get(`/SZWL-SERVER/tAdmin/autoLogin?${stringToUrl(params)}`);
}

